一千萬個為什麽

搜索

如何解決flywaydb中腳本的版本號沖突問題

我有3個git分支:develop,fixbug和master。

分支大師中最新的FlywayDB腳本版本是1.2.43, 而分行發展的是1.2.54。 分支fixbug的腳本版本更新到1.2.55,它基於分支主機。

我需要將分支fixbug合並到分支主機,並將master(版本1.2.55)部署到生產環境中。如我們所知,flywayDB按從低版本到高版本的順序執行腳本。如果我這樣做,那麽當我將分支開發(版本1.2.54)部署到生產環境時,腳本將不會執行,甚至會導致錯誤。

我應該怎麽做?謝謝!!

最佳答案

關於這方面,有一個很棒的博文

它可以概括為:

  1. 使用時間戳而不是整數前綴您的遷移
  2. 啟用亂序遷移
  3. 創建冪等遷移

轉載註明原文: 如何解決flywaydb中腳本的版本號沖突問題